
#include <cuda.h>
#include <limits.h>

#ifndef __DEVICE_EMULATION__
#define printf(...) {}
#endif /* __DEVICE_EMULATION__ */


extern "C" __global__ void empty_kernel(void)
{
    int i = 12;
    printf("in %s():\n", __FUNCTION__);
}

int go(int iters)
{
    cudaThreadSynchronize();
    for (int i = 0; i < iters; i++)
    {
        empty_kernel<<<1, 1>>>();
        cudaThreadSynchronize();
    }

    return 0;
}
